# e2e-irc
This is an IRC bouncer that supports end-to-end encryption and is horribly written.

# Configuration
e2e-irc uses a config file in `~/.config/e2e-irc/config.toml` on linux.
The configuration file is a toml file with two or three fields:
- public_key      the location of the public pgp key
- secret_key      the location of the secret pgp key
- passwd          the password of the pgp key

# Usage
```
e2e-irc [OPTIONS] SERVER

Encrypted IRC Bouncer

Positional arguments:
  server                The Address Of The Server The Bouncer Connects To

Optional arguments:
  -h,--help             Show this help message and exit
  -p,--port PORT        The Port The Bouncer Binds To
  --sp,--server-port SERVER_PORT
                        The TLS Enabled Port Of The Server
```

# Install
```bash
cargo install --git https://forgejo.vanten-s.com/vanten-s/e2e-irc.git
```

# Run
```bash
e2e-irc [OPTIONS] SERVER
```
